Skip to main content
GET
List
🔑 Requires the workflows.view scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

workflow_id
string

Unique identifier for the workflow to filter by

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

incident_id
string

Unique identifier for the incident to filter by

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

created_at
object

Filter on workflow run created at timestamp. The accepted operators are 'gte', 'lte' and 'date_range'.

Example:
page_size
integer<int64>
default:25

Number of workflow runs to return per page

Required range: 1 <= x <= 50
Example:

25

after
string

A workflow run's ID. This endpoint will return a list of workflow runs after this ID in relation to the API response order.

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

workflow_runs
object[]
required
Example:
pagination_meta
object
Example: